Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Dantrell's GNOME Without Systemd Project (Part 1)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 11, 12, 13 ... 27, 28, 29  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Shibotto
Tux's lil' helper
Tux's lil' helper


Joined: 19 Jun 2015
Posts: 122
Location: Italy

PostPosted: Wed Jun 28, 2017 6:31 pm    Post subject: Reply with quote

Same error, I'm sorry XD
Code:
./.libs/libmutter-0.so: undefined reference to `sd_session_get_type'
./.libs/libmutter-0.so: undefined reference to `sd_pid_get_session'
./.libs/libmutter-0.so: undefined reference to `sd_session_get_seat'
./.libs/libmutter-0.so: undefined reference to `sd_uid_get_sessions'
collect2: error: ld returned 1 exit status
make[4]: *** [Makefile:1896: mutter] Error 1
make[4]: *** Waiting for unfinished jobs....
./.libs/libmutter-0.so: undefined reference to `sd_session_get_type'
./.libs/libmutter-0.so: undefined reference to `sd_pid_get_session'
./.libs/libmutter-0.so: undefined reference to `sd_session_get_seat'
./.libs/libmutter-0.so: undefined reference to `sd_uid_get_sessions'
collect2: error: ld returned 1 exit status
make[4]: *** [Makefile:1920: mutter-test-runner] Error 1
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 579
Location: Earth

PostPosted: Wed Jun 28, 2017 10:22 pm    Post subject: Reply with quote

Shibotto wrote:
Same error, I'm sorry XD

All the luck! 8O

This time I reproduced the build failure.
_________________
Dantrell B.
Back to top
View user's profile Send private message
Yamakuzure
Advocate
Advocate


Joined: 21 Jun 2006
Posts: 2273
Location: Bardowick, Germany

PostPosted: Thu Jun 29, 2017 10:29 am    Post subject: Reply with quote

Shibotto wrote:
dantrell wrote:
Good luck. :wink:

Bad luck :lol:
Code:
./.libs/libmutter-0.so: undefined reference to `sd_session_get_type'
./.libs/libmutter-0.so: undefined reference to `sd_pid_get_session'
./.libs/libmutter-0.so: undefined reference to `sd_session_get_seat'
./.libs/libmutter-0.so: undefined reference to `sd_uid_get_sessions'
collect2: error: ld returned 1 exit status
make[4]: *** [Makefile:1922: mutter-test-runner] Error 1
make[4]: *** Waiting for unfinished jobs....
./.libs/libmutter-0.so: undefined reference to `sd_session_get_type'
./.libs/libmutter-0.so: undefined reference to `sd_pid_get_session'
./.libs/libmutter-0.so: undefined reference to `sd_session_get_seat'
./.libs/libmutter-0.so: undefined reference to `sd_uid_get_sessions'
collect2: error: ld returned 1 exit status
make[4]: *** [Makefile:1898: mutter] Error 1
make[4]: Leaving directory '/var/tmp/portage/x11-wm/mutter-3.24.3/work/mutter-3.24.3/src'
make[3]: *** [Makefile:2326: all-recursive] Error 1
make[3]: Leaving directory '/var/tmp/portage/x11-wm/mutter-3.24.3/work/mutter-3.24.3/src'
make[2]: *** [Makefile:1335: all] Error 2
make[2]: Leaving directory '/var/tmp/portage/x11-wm/mutter-3.24.3/work/mutter-3.24.3/src'
make[1]: *** [Makefile:488: all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/x11-wm/mutter-3.24.3/work/mutter-3.24.3'
make: *** [Makefile:418: all] Error 2

Complete build.log https://www.systemli.org/paste/?01d8ad8e3733e429#tTFLTEztWqmGrrZuuksPX0EGREPV4NQmm8Xy8LLyreg=
The elogind patch is missing to add "-lelogind" where otherwise "-lsystemd" would have been added. (At least the failing libtool calls do not link in libelogind, so those symbols can not be resolved.)
_________________
Important German:
  1. "Aha" - German reaction to pretend that you are really interested while giving no f*ck.
  2. "Tja" - German reaction to the apocalypse, nuclear war, an alien invasion or no bread in the house.
Back to top
View user's profile Send private message
Shibotto
Tux's lil' helper
Tux's lil' helper


Joined: 19 Jun 2015
Posts: 122
Location: Italy

PostPosted: Mon Jul 03, 2017 8:33 am    Post subject: Reply with quote

dantrell wrote:
Shibotto wrote:
Same error, I'm sorry XD

All the luck! 8O

This time I reproduced the build failure.


Sorry for the delay. It compiles fine now, but I can't use Wayland on my system. I think this should be tested by someone using free drivers.
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 579
Location: Earth

PostPosted: Mon Jul 03, 2017 12:57 pm    Post subject: Reply with quote

Shibotto wrote:
It compiles fine now, but I can't use Wayland on my system. I think this should be tested by someone using free drivers.

I also got everything built but couldn't test it.

Xorg for life then? :lol:
_________________
Dantrell B.
Back to top
View user's profile Send private message
steveL
Watchman
Watchman


Joined: 13 Sep 2006
Posts: 5153
Location: The Peanut Gallery

PostPosted: Tue Jul 04, 2017 1:23 pm    Post subject: Reply with quote

dantrell wrote:
Xorg for life then? :lol:
Sounds good to me. ;-)

Well, whatever Keith Packard's doing, really.
Back to top
View user's profile Send private message
mingdao
n00b
n00b


Joined: 19 Sep 2011
Posts: 10
Location: Alabama, USA

PostPosted: Fri Jul 21, 2017 11:21 am    Post subject: atch -p1 failed with /var/lib/layman/dantrell-gnome-3-24/x1 Reply with quote

Code:
headache ~ # cat /var/tmp/portage/x11-wm/mutter-3.24.3/temp/build.log
 * Package:    x11-wm/mutter-3.24.3
 * Repository: dantrell-gnome-3-24
 * Maintainer: gnome@gentoo.org
 * USE:        amd64 deprecated-background elibc_glibc introspection kernel_linux userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking mutter-3.24.3.tar.xz to /var/tmp/portage/x11-wm/mutter-3.24.3/work
>>> Source unpacked in /var/tmp/portage/x11-wm/mutter-3.24.3/work
>>> Preparing source in /var/tmp/portage/x11-wm/mutter-3.24.3/work/mutter-3.24.3 ...
 * Applying mutter-3.24.3-support-elogind.patch ...                                                                                                                                                                                    [ ok ]
 * Applying mutter-3.22.0-restore-deprecated-background-code.patch ...
1 out of 1 hunk FAILED -- saving rejects to file src/compositor/meta-background-image.c.rej                                                                                                                                            [ !! ]
 * ERROR: x11-wm/mutter-3.24.3::dantrell-gnome-3-24 failed (prepare phase):
 *   patch -p1  failed with /var/lib/layman/dantrell-gnome-3-24/x11-wm/mutter/files/mutter-3.22.0-restore-deprecated-background-code.patch
 *
 * Call stack:
 *               ebuild.sh, line  115:  Called src_prepare
 *             environment, line 3563:  Called eapply '/var/lib/layman/dantrell-gnome-3-24/x11-wm/mutter/files/mutter-3.22.0-restore-deprecated-background-code.patch'
 *             environment, line 1060:  Called _eapply_patch '/var/lib/layman/dantrell-gnome-3-24/x11-wm/mutter/files/mutter-3.22.0-restore-deprecated-background-code.patch'
 *             environment, line  998:  Called __helpers_die 'patch -p1  failed with /var/lib/layman/dantrell-gnome-3-24/x11-wm/mutter/files/mutter-3.22.0-restore-deprecated-background-code.patch'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *              die "$@"
 *
 * If you need support, post the output of `emerge --info '=x11-wm/mutter-3.24.3::dantrell-gnome-3-24'`,
 * the complete build log and the output of `emerge -pqv '=x11-wm/mutter-3.24.3::dantrell-gnome-3-24'`.
 * The complete build log is located at '/var/tmp/portage/x11-wm/mutter-3.24.3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-wm/mutter-3.24.3/temp/environment'.
 * Working directory: '/var/tmp/portage/x11-wm/mutter-3.24.3/work/mutter-3.24.3'
 * S: '/var/tmp/portage/x11-wm/mutter-3.24.3/work/mutter-3.24.3'


/var/tmp/portage/x11-wm/mutter-3.24.3/temp/environment can be seen here: https://paste.pound-python.org/show/DSFVi5dTDCW76p1D4Vt9/

[Moderator edit: added [code] tags to preserve output layout. -Hu]
_________________
Are the things you're living for worth Christ dying for?
~ Leonard Ravenhill
Back to top
View user's profile Send private message
mingdao
n00b
n00b


Joined: 19 Sep 2011
Posts: 10
Location: Alabama, USA

PostPosted: Fri Jul 21, 2017 11:25 am    Post subject: Reply with quote

Code:
headache ~ # emerge --resume

These are the packages that would be merged, in order:

Calculating dependencies... done!
 * Invalid resume list:
 *
 *   (u'ebuild', u'/', u'app-cdr/brasero-3.12.1-r1', u'merge')
 *   (u'ebuild', u'/', u'media-video/cheese-3.24.0', u'merge')
 *   (u'ebuild', u'/', u'media-libs/gsound-1.0.2-r1', u'merge')
 *   (u'ebuild', u'/', u'net-libs/gtk-vnc-0.6.0', u'merge')
 *   (u'ebuild', u'/', u'net-im/empathy-3.12.13', u'merge')
 *   (u'ebuild', u'/', u'app-admin/openrc-settingsd-1.0.1', u'merge')
 *   (u'ebuild', u'/', u'games-puzzle/five-or-more-3.22.2', u'merge')
 *   (u'ebuild', u'/', u'app-dicts/gnome-dictionary-3.24.0', u'merge')
 *   (u'ebuild', u'/', u'gnome-extra/gnome-system-monitor-3.24.0', u'merge')
 *   (u'ebuild', u'/', u'app-arch/file-roller-3.24.1', u'merge')
 *   (u'ebuild', u'/', u'app-misc/bijiben-3.24.0', u'merge')
 *   (u'ebuild', u'/', u'gnome-extra/gnome-todo-3.24.2', u'merge')
 *   (u'ebuild', u'/', u'media-gfx/shotwell-0.26.2', u'merge')
 *   (u'ebuild', u'/', u'gnome-extra/gnome-calendar-3.24.3', u'merge')
 *   (u'ebuild', u'/', u'media-gfx/gnome-photos-3.24.2', u'merge')
 *   (u'ebuild', u'/', u'sci-geosciences/gnome-maps-3.24.3', u'merge')
 *   (u'ebuild', u'/', u'gnome-extra/gnome-weather-3.20.2', u'merge')
 *   (u'ebuild', u'/', u'gnome-extra/gnome-documents-3.24.2', u'merge')
 *   (u'ebuild', u'/', u'games-arcade/gnome-robots-3.22.1', u'merge')
 *   (u'ebuild', u'/', u'games-puzzle/gnome-taquin-3.22.0', u'merge')
 *   (u'ebuild', u'/', u'games-arcade/gnome-nibbles-3.24.0', u'merge')
 *   (u'ebuild', u'/', u'games-board/four-in-a-row-3.22.1', u'merge')
 *   (u'ebuild', u'/', u'media-gfx/gnome-screenshot-3.22.0', u'merge')
 *   (u'ebuild', u'/', u'sys-apps/gnome-disk-utility-3.24.1', u'merge')
 *   (u'ebuild', u'/', u'games-board/aisleriot-3.22.2', u'merge')
 *   (u'ebuild', u'/', u'games-puzzle/quadrapassel-3.22.0', u'merge')
 *   (u'ebuild', u'/', u'mail-client/evolution-3.24.3', u'merge')
 *   (u'ebuild', u'/', u'games-board/iagno-3.22.0', u'merge')
 *   (u'ebuild', u'/', u'media-sound/gnome-music-3.24.2', u'merge')
 *   (u'ebuild', u'/', u'gnome-extra/gnome-user-share-3.18.3', u'merge')
 *   (u'ebuild', u'/', u'media-sound/sound-juicer-3.24.0', u'merge')
 *   (u'ebuild', u'/', u'gnome-extra/gnome-clocks-3.24.0', u'merge')
 *   (u'ebuild', u'/', u'net-misc/vinagre-3.22.0-r1', u'merge')
 *
 * One or more packages are either masked or have missing dependencies:
 *
 *   >=gnome-base/gnome-control-center-3.2[gnome-online-accounts(+)] pulled in by:
 *     (net-libs/gnome-online-accounts-3.24.1:0/1::dantrell-gnome-3-24, installed)
 *
 *   virtual/notification-daemon pulled in by:
 *     (x11-libs/libnotify-0.7.7-r1:0/0::dantrell-gnome, installed)
 *
 * The resume list contains packages that are either masked or have
 * unsatisfied dependencies. Please restart/continue the operation
 * manually, or use --skipfirst to skip the first package in the list and
 * any other packages that may be masked or have missing dependencies.


[Moderator edit: added [code] tags to preserve output layout. -Hu]
_________________
Are the things you're living for worth Christ dying for?
~ Leonard Ravenhill
Back to top
View user's profile Send private message
mingdao
n00b
n00b


Joined: 19 Sep 2011
Posts: 10
Location: Alabama, USA

PostPosted: Fri Jul 21, 2017 12:10 pm    Post subject: Reply with quote

I removed the deprecated-background flag from gnome-base/gnome-shell-3.24.2-r3 and "emerge --keep-going gnome" again

Code:
configure: error:
                        Cannot find required GStreamer-1.0 plugin ''.
                        It should be part of gst-plugins-good. Please install it.


!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/work/gnome-sound-recorder-3.24.0.1/config.log
 * ERROR: media-sound/gnome-sound-recorder-3.24.0.1::dantrell-gnome-3-24 failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *               ebuild.sh, line  115:  Called src_configure
 *             environment, line 3046:  Called gnome2_src_configure
 *             environment, line 2223:  Called econf '--disable-schemas-compile'
 *        phase-helpers.sh, line  662:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *              die "$@"
 *
 * If you need support, post the output of `emerge --info '=media-sound/gnome-sound-recorder-3.24.0.1::dantrell-gnome-3-24'`,
 * the complete build log and the output of `emerge -pqv '=media-sound/gnome-sound-recorder-3.24.0.1::dantrell-gnome-3-24'`.
 * The complete build log is located at '/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/temp/environment'.
 * Working directory: '/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/work/gnome-sound-recorder-3.24.0.1'
 * S: '/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/work/gnome-sound-recorder-3.24.0.1'

>>> Failed to emerge media-sound/gnome-sound-recorder-3.24.0.1, Log file:

>>>  '/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/temp/build.log'
*** Resuming merge...

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
 * One or more packages are either masked or have missing dependencies:
 *
 *   virtual/notification-daemon pulled in by:
 *     (gnome-extra/nm-applet-1.8.2:0/0::dantrell-gnome, installed)
 *
 *   virtual/notification-daemon pulled in by:
 *     (x11-libs/libnotify-0.7.7-r1:0/0::dantrell-gnome, installed)
 *
 * The resume list contains packages that are either masked or have
 * unsatisfied dependencies. Please restart/continue the operation
 * manually, or use --skipfirst to skip the first package in the list and
 * any other packages that may be masked or have missing dependencies.
 *
 * The following package has failed to build, install, or execute postinst:
 *
 *  (media-sound/gnome-sound-recorder-3.24.0.1:0/0::dantrell-gnome-3-24, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/temp/build.log'
 *

 * GNU info directory index is up-to-date.
headache ~ # eshowkw gst-plugins-good
Keywords for media-libs/gst-plugins-good:
             |                                 |   u      |
             | a a         p s   a     n r     |   n      |
             | l m   h i   p p   r m m i i s   | e u s    | r
             | p d a p a p c a x m i 6 o s 3   | a s l    | e
             | h 6 r p 6 p 6 r 8 6 p 8 s c 9 s | p e o    | p
             | a 4 m a 4 c 4 c 6 4 s k 2 v 0 h | i d t    | o
-------------+---------------------------------+----------+-------
  0.10.31-r2 | + + + + + + + + + o ~ o o o o ~ | 5 o 0.10 | gentoo
-------------+---------------------------------+----------+-------
    1.8.3    | + + + + + + + + + ~ ~ o o o o ~ | 6 o 1.0  | gentoo
   1.10.3    | ~ + + + ~ + + ~ + ~ ~ o o o o ~ | 6 o      | gentoo
[I]1.10.4    | ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ o o o o ~ | 6 o      | gentoo


The gst-plugins-good package is not in dantrell's overlays; it is Gentoo pkg.

/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/work/gnome-sound-recorder-3.24.0.1/config.log can be seen here: https://paste.pound-python.org/show/pFxCNVqfDp1OkwEjHapC/

/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/temp/build.log can be seen here: https://paste.pound-python.org/show/wqLB37m4jU6ihn7PSz5L/

[Moderator edit: added [code] tags to preserve output layout. -Hu]
_________________
Are the things you're living for worth Christ dying for?
~ Leonard Ravenhill
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 579
Location: Earth

PostPosted: Sat Jul 22, 2017 1:24 am    Post subject: Reply with quote

mingdao wrote:
Code:
headache ~ # cat /var/tmp/portage/x11-wm/mutter-3.24.3/temp/build.log

The x11-wm/mutter patch failure was corrected. Sync up and you should be good to go.

mingdao wrote:
Code:
headache ~ # emerge --resume

Resuming emerge wouldn't have worked here. The project documentation tells you to run:

Code:
emerge --ask --keep-going gnome

in the event of build failures while installing.

mingdao wrote:
Code:
configure: error:
         Cannot find required GStreamer-1.0 plugin ''.
         It should be part of gst-plugins-good. Please install it.

I can't reproduce this issue. I spun up a stage3 tarball to test and media-libs/gst-plugins-good shows up as expected.

I noticed your dev-lang/perl and media-libs/gst-plugins-good versions are behind. Maybe you should sync up with the main portage tree as well?
_________________
Dantrell B.
Back to top
View user's profile Send private message
mingdao
n00b
n00b


Joined: 19 Sep 2011
Posts: 10
Location: Alabama, USA

PostPosted: Sat Jul 22, 2017 12:04 pm    Post subject: Reply with quote

dantrell wrote:
mingdao wrote:
Code:
The x11-wm/mutter patch failure was corrected. Sync up and you should be good to go.

You fixed mutter and it builds now.

mingdao wrote:
Code:
headache ~ # emerge --resume

Resuming emerge wouldn't have worked here. The project documentation tells you to run:

Code:
emerge --ask --keep-going gnome

in the event of build failures while installing.

Take first command, then second command that you quoted together. I did exactly according to your guide on Github.

mingdao wrote:
Code:
configure: error:
         Cannot find required GStreamer-1.0 plugin ''.
         It should be part of gst-plugins-good. Please install it.

I can't reproduce this issue. I spun up a stage3 tarball to test and media-libs/gst-plugins-good shows up as expected.

I noticed your dev-lang/perl and media-libs/gst-plugins-good versions are behind. Maybe you should sync up with the main portage tree as well?

I don't use Gentoo, I use Funtoo. And in Funtoo latest version is as I showed you. Perhaps you can put higher required version in your overlay, as your guide says this should work for both Gentoo and Funtoo.

My stage3 is intel64-haswell from Funtoo subarches.
_________________
Are the things you're living for worth Christ dying for?
~ Leonard Ravenhill
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 579
Location: Earth

PostPosted: Sat Jul 22, 2017 10:24 pm    Post subject: Reply with quote

mingdao wrote:
I don't use Gentoo, I use Funtoo. And in Funtoo latest version is as I showed you.

Another look at one of your log files does indeed show that you are running Funtoo. For future reference, Funtoo users should contact me directly first (so I can determine if the issue is Funtoo specific).

mingdao wrote:
Perhaps you can put higher required version in your overlay, as your guide says this should work for both Gentoo and Funtoo.

That said, the higher versions aren't required. I just noticed that those two packages were behind and thought that perhaps you weren't completely synced up.

mingdao wrote:
My stage3 is intel64-haswell from Funtoo subarches.

I spun up a Funtoo stage3 tarball and the emerge output is also correct.

I tested another install by removing media-libs/gst-plugins-good and successfully reproduced the build failure. Try rebuilding it again with:

Code:
emerge --ask --oneshot media-libs/gst-plugins-good
emerge --ask --oneshot media-sound/gnome-sound-recorder

_________________
Dantrell B.
Back to top
View user's profile Send private message
mingdao
n00b
n00b


Joined: 19 Sep 2011
Posts: 10
Location: Alabama, USA

PostPosted: Sun Jul 23, 2017 3:24 am    Post subject: Reply with quote

dantrell wrote:

Another look at one of your log files does indeed show that you are running Funtoo. For future reference, Funtoo users should contact me directly first (so I can determine if the issue is Funtoo specific).

You and I have a great many emails concerning gnome-3.24 already; however, you haven't replied in days, and another Funtoo user told me you are very active here, so I came.

dantrell wrote:
I tested another install by removing media-libs/gst-plugins-good and successfully reproduced the build failure. Try rebuilding it again with:

Code:
emerge --ask --oneshot media-libs/gst-plugins-good
emerge --ask --oneshot media-sound/gnome-sound-recorder


Synced and ran the first command:
Code:
headache ~ # eix-sync && layman --sync-all
<snip>
[*N]  >> media-video/bluray_info ((~)1.0.0): Display information about a Blu-ray disc
 * Time statistics:
     2 seconds for syncing
     9 seconds for eix-update
     2 seconds for eix-diff
    14 seconds total

 * Fetching remote list...
 * Fetch Ok

 * Syncing selected overlay(s)...
 * Running Git... # ( cd /var/lib/layman/dantrell-gnome  && /usr/bin/git pull )
Already up-to-date.
 * Running Git... # ( cd /var/lib/layman/dantrell-gnome-3-22  && /usr/bin/git pull )
Already up-to-date.
 * Running Git... # ( cd /var/lib/layman/dantrell-gnome-3-24  && /usr/bin/git pull )
Already up-to-date.
 *
 * Succeeded:
 * ------
 * Successfully synchronized overlay "dantrell-gnome".
 * Successfully synchronized overlay "dantrell-gnome-3-22".
 * Successfully synchronized overlay "dantrell-gnome-3-24".
 *

headache ~ # emerge --ask --oneshot media-libs/gst-plugins-good

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-libs/gst-plugins-good-1.10.4

Would you like to merge these packages? [Yes/No] Yes
<snip>
   usr/lib64/gstreamer-1.0/libgstvideofilter.so
ecompressdir: bzip2 -9 /usr/share/doc

>>> Installing (1 of 1) media-libs/gst-plugins-good-1.10.4::gentoo
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.
ecompressdir: bzip2 -9 /usr/share/doc

>>> Installing (1 of 1) media-libs/gst-plugins-good-1.10.4::gentoo
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.
headache ~ # emerge --ask --oneshot media-sound/gnome-sound-recorder

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] media-sound/gnome-sound-recorder-3.24.0.1

Would you like to merge these packages? [Yes/No] Yes
<snip>
checking for DEPS... yes
checking GStreamer 1.0 inspection tool... yes
checking GStreamer 1.0 playbin element... yes
checking GStreamer 1.0 audioconvert element... yes
checking GStreamer 1.0 uridecodebin element... yes
checking GStreamer 1.0 flacenc element... no
configure: error:
                        Cannot find required GStreamer-1.0 plugin ''.
                        It should be part of gst-plugins-good. Please install it.


!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/work/gnome-sound-recorder-3.24.0.1/config.log
 * ERROR: media-sound/gnome-sound-recorder-3.24.0.1::dantrell-gnome-3-24 failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *               ebuild.sh, line  115:  Called src_configure
 *             environment, line 3041:  Called gnome2_src_configure
 *             environment, line 2218:  Called econf '--disable-schemas-compile'
 *        phase-helpers.sh, line  662:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *              die "$@"
 *
 * If you need support, post the output of `emerge --info '=media-sound/gnome-sound-recorder-3.24.0.1::dantrell-gnome-3-24'`,
 * the complete build log and the output of `emerge -pqv '=media-sound/gnome-sound-recorder-3.24.0.1::dantrell-gnome-3-24'`.
 * The complete build log is located at '/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/temp/environment'.
 * Working directory: '/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/work/gnome-sound-recorder-3.24.0.1'
 * S: '/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/work/gnome-sound-recorder-3.24.0.1'

>>> Failed to emerge media-sound/gnome-sound-recorder-3.24.0.1, Log file:

>>>  '/var/tmp/portage/media-sound/gnome-sound-recorder-3.24.0.1/temp/build.log'
headache ~ #

Same exact error. Look at what gst-plugins-good-1.10.4 installs:
Code:
headache ~ # qlist media-libs/gst-plugins-good-1.10.4|grep -i gstreamer
/usr/lib64/gstreamer-1.0/libgstapetag.so
/usr/lib64/gstreamer-1.0/libgstcutter.so
/usr/lib64/gstreamer-1.0/libgstauparse.so
/usr/lib64/gstreamer-1.0/libgsteffectv.so
/usr/lib64/gstreamer-1.0/libgstflxdec.so
/usr/lib64/gstreamer-1.0/libgstavi.so
/usr/lib64/gstreamer-1.0/libgstalphacolor.so
/usr/lib64/gstreamer-1.0/libgstaudiofx.so
/usr/lib64/gstreamer-1.0/libgstequalizer.so
/usr/lib64/gstreamer-1.0/libgsticydemux.so
/usr/lib64/gstreamer-1.0/libgstshapewipe.so
/usr/lib64/gstreamer-1.0/libgstgoom.so
/usr/lib64/gstreamer-1.0/libgstisomp4.so
/usr/lib64/gstreamer-1.0/libgstalaw.so
/usr/lib64/gstreamer-1.0/libgstinterleave.so
/usr/lib64/gstreamer-1.0/libgstsmpte.so
/usr/lib64/gstreamer-1.0/libgstvideocrop.so
/usr/lib64/gstreamer-1.0/libgstspectrum.so
/usr/lib64/gstreamer-1.0/libgstvideomixer.so
/usr/lib64/gstreamer-1.0/libgstautodetect.so
/usr/lib64/gstreamer-1.0/libgstaudioparsers.so
/usr/lib64/gstreamer-1.0/libgstmultifile.so
/usr/lib64/gstreamer-1.0/libgstdebug.so
/usr/lib64/gstreamer-1.0/libgstalpha.so
/usr/lib64/gstreamer-1.0/libgstdeinterlace.so
/usr/lib64/gstreamer-1.0/libgstnavigationtest.so
/usr/lib64/gstreamer-1.0/libgstdtmf.so
/usr/lib64/gstreamer-1.0/libgstreplaygain.so
/usr/lib64/gstreamer-1.0/libgstid3demux.so
/usr/lib64/gstreamer-1.0/libgstrtsp.so
/usr/lib64/gstreamer-1.0/libgstlevel.so
/usr/lib64/gstreamer-1.0/libgsty4menc.so
/usr/lib64/gstreamer-1.0/libgstmultipart.so
/usr/lib64/gstreamer-1.0/libgstflv.so
/usr/lib64/gstreamer-1.0/libgstgoom2k1.so
/usr/lib64/gstreamer-1.0/libgstrtp.so
/usr/lib64/gstreamer-1.0/libgstrtpmanager.so
/usr/lib64/gstreamer-1.0/libgstvideobox.so
/usr/lib64/gstreamer-1.0/libgstudp.so
/usr/lib64/gstreamer-1.0/libgstwavenc.so
/usr/lib64/gstreamer-1.0/libgstimagefreeze.so
/usr/lib64/gstreamer-1.0/libgstwavparse.so
/usr/lib64/gstreamer-1.0/libgstmulaw.so
/usr/lib64/gstreamer-1.0/libgstmatroska.so
/usr/lib64/gstreamer-1.0/libgstvideofilter.so
/usr/share/gstreamer-1.0/presets/GstIirEqualizer3Bands.prs
/usr/share/gstreamer-1.0/presets/GstIirEqualizer10Bands.prs
/usr/share/gstreamer-1.0/presets/GstQTMux.prs

_________________
Are the things you're living for worth Christ dying for?
~ Leonard Ravenhill
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 579
Location: Earth

PostPosted: Sun Jul 23, 2017 7:38 am    Post subject: Reply with quote

mingdao wrote:
You and I have a great many emails concerning gnome-3.24 already; however, you haven't replied in days, and another Funtoo user told me you are very active here, so I came.

I thought something was familiar.

I generally do simplified checks (which works for 99.99% of reported issues), however, the issue you are having requires something more through which I will need to make time for (and per my email follow-up, will not be anytime soon).

mingdao wrote:
Same exact error. [...]

If you want to proceed, just skip media-sound/gnome-sound-recorder for now, it isn't anything important:

/etc/portage/profile/package.provided:
media-sound/gnome-sound-recorder-3.24.0.1

Edit: I made time.

Although it was missing certain Gentoo features Funtoo could be considered mostly backwards compatible before:
  • epro
and partially backwards compatible with:
It is not backwards compatible with:
In short, as of March 27, 2017 Funtoo is no longer what I would call a closely related derivative. Therefore, support for it will be dropped from GNOME Without Systemd.

Unless you switch to Gentoo or something that is backwards compatible, whatever Funtoo offers is what you are stuck with.

P.S. I already informed mingdao of my results by email so this edit serves as an announcement for others.
_________________
Dantrell B.
Back to top
View user's profile Send private message
Juippisi
Developer
Developer


Joined: 30 Sep 2005
Posts: 361
Location: /home

PostPosted: Wed Jul 26, 2017 2:11 pm    Post subject: Reply with quote

Been using 3.24 for over a month now. Havent ran into any runtime problems, as far as I know. However today I did some updates and noticed I have colord installed, even though Ive set -colord in my make.conf. I did some investigating...

Code:
 * These packages depend on colord:
gnome-base/gnome-control-center-3.24.2-r2 (>=x11-misc/colord-0.1.34:0)
                                          (colord ? >=x11-misc/colord-0.1.34:0)


Every other package that pulls it needs a "colord" USE flag in order to do so. So, does gnome-control-center not work without colord, and why theres a USE flag for it if it doesnt? This is nothing big, nothing lifechanging, just wondering as I hate extra bloat in my system :)

Keep up the good work dantrell!
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 579
Location: Earth

PostPosted: Thu Jul 27, 2017 12:15 pm    Post subject: Reply with quote

Juippisi wrote:
So, does gnome-control-center not work without colord, and why theres a USE flag for it if it doesnt?

The colord USE flag controls the appearance of the Color Panel under Hardware.

Before GNOME 3.24 that was all colord was required for so it could be dropped from GNOME Control Center entirely but now colord is also required by the Display Panel (more specifically, for the Night Light feature). Technically speaking, that could be made optional too but I choose to mirror Gentoo's patches.
_________________
Dantrell B.
Back to top
View user's profile Send private message
steveL
Watchman
Watchman


Joined: 13 Sep 2006
Posts: 5153
Location: The Peanut Gallery

PostPosted: Thu Jul 27, 2017 5:13 pm    Post subject: Reply with quote

"colord"? Now I really have heard it all.. ;)

Interesting to see what the original conception was: a wrapper for CUPS.

Now I see that CUPS in fact relies upon colord, according to the colord faq; good lord.

Not knocking the overall idea of ICC profile management; just thought it had been sorted years ago (my bad), and unsure the mess of dependencies and dbus-complexification is really the most effective way to get there.
Back to top
View user's profile Send private message
Juippisi
Developer
Developer


Joined: 30 Sep 2005
Posts: 361
Location: /home

PostPosted: Mon Jul 31, 2017 11:27 am    Post subject: Reply with quote

dantrell wrote:
Before GNOME 3.24 that was all colord was required for so it could be dropped from GNOME Control Center entirely but now colord is also required by the Display Panel (more specifically, for the Night Light feature). Technically speaking, that could be made optional too but I choose to mirror Gentoo's patches.


I wont let it bother me then!

However, lately theres been some strange behaviour. Cant say when it started, but sometimes when I close a program it feels like my whole gnome-shell crashes (panels disappear, windows get shuffled...) and I get messages like these in my dmesg:
Code:

[101954.131389] gnome-shell[3965]: segfault at 10 ip 00007f491f7ff0b5 sp 00007ffcdea13380 error 4 in libmozjs-38.so[7f491f472000+1244000]
[172661.170281] gnome-shell[31538]: segfault at 10 ip 00007f41f9ed60b5 sp 00007ffc39a2e520 error 4 in libmozjs-38.so[7f41f9b49000+1244000]
[185429.059126] gnome-shell[1561]: segfault at 10 ip 00007fd5e8dea0b5 sp 00007ffcfadf72a0 error 4 in libmozjs-38.so[7fd5e8a5d000+1244000]
[185647.306695] gnome-shell[17763]: segfault at 10 ip 00007fa1019811b5 sp 00007fffd9b7e150 error 4 in libmozjs-38.so[7fa1016ac000+1244000]


Just wondering if you happen to know whats causing this? Is it related to my system, gnome-without-systemd, or upstream?

EDIT: Disregard the errors above, apparently its topicons-plus thats causing the crashes. Disabled it, lets see if it fixes this!
Back to top
View user's profile Send private message
Latrina
n00b
n00b


Joined: 13 Aug 2017
Posts: 27
Location: Newcastle upon Tyne

PostPosted: Sun Aug 13, 2017 7:33 am    Post subject: Reply with quote

Hello folks,

I think I have emailed Dantrell directly regarding the issue I am having, however since I stumbled upon this thread I believe it might be helpful to share it with the whole community.

Basically Brasero failed to compile due to a broken patch, this on Drantell-Gnome 3.22.

emerge --info '=app-cdr/brasero-3.12.2::dantrell-gnome' output here:

Code:

(chroot) sysresccd /usr/src/linux # emerge --info '=app-cdr/brasero-3.12.2::dantrell-gnome'
Portage 2.3.6 (python 3.4.5-final-0, !../../usr/local/portage/dantrell-gnome/profiles/default/amd64/3.22/extended, gcc-5.4.0, glibc-2.23-r4, 4.9.24-std500-amd64 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.9.24-std500-amd64-x86_64-Intel-R-_Core-TM-_i5-3320M_CPU_@_2.60GHz-with-gentoo-2.3
KiB Mem:    11977060 total,   2711092 free
KiB Swap:   12582908 total,  12582908 free
Timestamp of repository gentoo: Sun, 13 Aug 2017 04:00:01 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.28 p1.2) 2.28
app-shells/bash:          4.3_p48-r1::gentoo
dev-lang/perl:            5.24.1-r2::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.7.2::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.28::gentoo
sys-apps/sandbox:         2.10-r3::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.28-r2::gentoo
sys-devel/gcc:            5.4.0-r3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

dantrell-gnome-3-22
    location: /usr/local/portage/dantrell-gnome-3-22
    sync-type: git
    sync-uri: https://github.com/dantrell/gentoo-overlay-dantrell-gnome-3-22.git
    masters: gentoo
    priority: 100

dantrell-gnome
    location: /usr/local/portage/dantrell-gnome
    sync-type: git
    sync-uri: https://github.com/dantrell/gentoo-overlay-dantrell-gnome.git
    masters: gentoo
    priority: 150

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=ivybridge -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=ivybridge -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="rsync6.us.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb blkid bluetooth branding bzip2 cairo cdda cdr cli colord consolekit cracklib crypt cryptsetup cups cxx dbus dri dts dvd dvdr eds encode evo exif fam flac fontconfig fortran gdbm gif git glamor gnome gnome-keyring gnome-online-accounts gpm gtk3 gtkstyle iconv introspection ipv6 jpeg lcms ldap libnotify libsecret mad mng modules mp3 mp4 mpeg multilib nautilus ncurses nls nptl ogg opengl openmp openrc pam pango pcre pdf png policykit ppds pulseaudio readline sdl seccomp session spell ssl startup-notification svg syslog tcpd tiff tracker truetype udev udisks unicode upower usb vorbis x264 xattr xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="synaptics evdev keyboard libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21 ruby22" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

(chroot) sysresccd /usr/src/linux #


While emerge --keep-going gnome-base/gnome output can be found here:

Code:

(chroot) sysresccd /usr/src/linux # emerge --keep-going gnome-base/gnome

 * IMPORTANT: 11 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 5) app-cdr/brasero-3.12.2::dantrell-gnome
 * brasero-3.12.2.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                 [ ok ]
>>> Unpacking source...
>>> Unpacking brasero-3.12.2.tar.xz to /var/tmp/portage/app-cdr/brasero-3.12.2/work
>>> Source unpacked in /var/tmp/portage/app-cdr/brasero-3.12.2/work
>>> Preparing source in /var/tmp/portage/app-cdr/brasero-3.12.2/work/brasero-3.12.2 ...
 * Applying brasero-3.12.1-libdvdcss.patch ...

 * Failed Patch: brasero-3.12.1-libdvdcss.patch !
 *  ( /var/tmp/portage/app-cdr/brasero-3.12.2/files/brasero-3.12.1-libdvdcss.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/app-cdr/brasero-3.12.2/temp/brasero-3.12.1-libdvdcss.patch.out

 * ERROR: app-cdr/brasero-3.12.2::dantrell-gnome failed (prepare phase):
 *   Failed Patch: brasero-3.12.1-libdvdcss.patch!
 *
 * Call stack:
 *     ebuild.sh, line  115:  Called src_prepare
 *   environment, line 2636:  Called epatch '/var/tmp/portage/app-cdr/brasero-3.12.2/files/brasero-3.12.1-libdvdcss.patch'
 *   environment, line  836:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 *
 * If you need support, post the output of `emerge --info '=app-cdr/brasero-3.12.2::dantrell-gnome'`,
 * the complete build log and the output of `emerge -pqv '=app-cdr/brasero-3.12.2::dantrell-gnome'`.
 * The complete build log is located at '/var/tmp/portage/app-cdr/brasero-3.12.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-cdr/brasero-3.12.2/temp/environment'.
 * Working directory: '/var/tmp/portage/app-cdr/brasero-3.12.2/work/brasero-3.12.2'
 * S: '/var/tmp/portage/app-cdr/brasero-3.12.2/work/brasero-3.12.2'

>>> Failed to emerge app-cdr/brasero-3.12.2, Log file:

>>>  '/var/tmp/portage/app-cdr/brasero-3.12.2/temp/build.log'
*** Resuming merge...
Calculating dependencies... done!
 * emerge --keep-going: gnome-base/gnome-3.22.0 dropped because it requires
 * >=gnome-base/gnome-core-apps-3.22.0[cups,bluetooth,cdr], >=gnome-base
 * /gnome-extra-apps-3.22.0
 * emerge --keep-going: media-sound/sound-juicer-3.22.1 dropped because it
 * requires >=app-cdr/brasero-2.90, >=app-cdr/brasero-2.90
 * emerge --keep-going: gnome-base/gnome-extra-apps-3.22.0 dropped because it
 * requires >=media-sound/sound-juicer-3.22.0
 * emerge --keep-going: gnome-base/gnome-core-apps-3.22.0 dropped because it
 * requires >=app-cdr/brasero-3.12.1

 * Messages for package app-cdr/brasero-3.12.2:

 * Failed Patch: brasero-3.12.1-libdvdcss.patch !
 *  ( /var/tmp/portage/app-cdr/brasero-3.12.2/files/brasero-3.12.1-libdvdcss.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/app-cdr/brasero-3.12.2/temp/brasero-3.12.1-libdvdcss.patch.out
 * ERROR: app-cdr/brasero-3.12.2::dantrell-gnome failed (prepare phase):
 *   Failed Patch: brasero-3.12.1-libdvdcss.patch!
 *
 * Call stack:
 *     ebuild.sh, line  115:  Called src_prepare
 *   environment, line 2636:  Called epatch '/var/tmp/portage/app-cdr/brasero-3.12.2/files/brasero-3.12.1-libdvdcss.patch'
 *   environment, line  836:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 *
 * If you need support, post the output of `emerge --info '=app-cdr/brasero-3.12.2::dantrell-gnome'`,
 * the complete build log and the output of `emerge -pqv '=app-cdr/brasero-3.12.2::dantrell-gnome'`.
 * The complete build log is located at '/var/tmp/portage/app-cdr/brasero-3.12.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-cdr/brasero-3.12.2/temp/environment'.
 * Working directory: '/var/tmp/portage/app-cdr/brasero-3.12.2/work/brasero-3.12.2'
 * S: '/var/tmp/portage/app-cdr/brasero-3.12.2/work/brasero-3.12.2'

 * Messages for package gnome-base/gnome-3.22.0:

 * emerge --keep-going: gnome-base/gnome-3.22.0 dropped because it requires
 * >=gnome-base/gnome-core-apps-3.22.0[cups,bluetooth,cdr], >=gnome-base
 * /gnome-extra-apps-3.22.0

 * Messages for package media-sound/sound-juicer-3.22.1:

 * emerge --keep-going: media-sound/sound-juicer-3.22.1 dropped because it
 * requires >=app-cdr/brasero-2.90, >=app-cdr/brasero-2.90

 * Messages for package gnome-base/gnome-extra-apps-3.22.0:

 * emerge --keep-going: gnome-base/gnome-extra-apps-3.22.0 dropped because it
 * requires >=media-sound/sound-juicer-3.22.0

 * Messages for package gnome-base/gnome-core-apps-3.22.0:

 * emerge --keep-going: gnome-base/gnome-core-apps-3.22.0 dropped because it
 * requires >=app-cdr/brasero-3.12.1
 *
 * The following 5 packages have failed to build, install, or execute
 * postinst:
 *
 *  (app-cdr/brasero-3.12.2:0/3.1::dantrell-gnome, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/app-cdr/brasero-3.12.2/temp/build.log'
 *  (gnome-base/gnome-3.22.0:2.0/2.0::dantrell-gnome-3-22, ebuild scheduled for merge)
 *  (media-sound/sound-juicer-3.22.1:0/0::dantrell-gnome-3-22, ebuild scheduled for merge)
 *  (gnome-base/gnome-extra-apps-3.22.0:3.0/3.0::dantrell-gnome-3-22, ebuild scheduled for merge)
 *  (gnome-base/gnome-core-apps-3.22.0:3.0/3.0::dantrell-gnome-3-22, ebuild scheduled for merge)
 *


I honestly have no idea on how to resolve this, but I would be glad to try out anything that could help with this, well at least until until tomorrow evening.

Sadly this is the only laptop I have and I need it up and running by Monday morning, and my work is all based on a bunch of Windows VMs, that means using a live distro something really is not option, and I will be forced to wipe out this long weekend of compiling :( .

Thank you for your help.
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 579
Location: Earth

PostPosted: Sun Aug 13, 2017 3:59 pm    Post subject: Reply with quote

Latrina wrote:
I think I have emailed Dantrell directly regarding the issue I am having, however since I stumbled upon this thread I believe it might be helpful to share it with the whole community.

Sorry, I only recently saw your email.

Latrina wrote:
I honestly have no idea on how to resolve this, but I would be glad to try out anything that could help with this, well at least until until tomorrow evening.

Sync up and you should be good to go.
_________________
Dantrell B.
Back to top
View user's profile Send private message
Latrina
n00b
n00b


Joined: 13 Aug 2017
Posts: 27
Location: Newcastle upon Tyne

PostPosted: Sun Aug 13, 2017 4:58 pm    Post subject: Reply with quote

dantrell wrote:
Latrina wrote:
I think I have emailed Dantrell directly regarding the issue I am having, however since I stumbled upon this thread I believe it might be helpful to share it with the whole community.

Sorry, I only recently saw your email.

Latrina wrote:
I honestly have no idea on how to resolve this, but I would be glad to try out anything that could help with this, well at least until until tomorrow evening.

Sync up and you should be good to go.


No worries at all man, it is Sunday and we all have lives, so I am truly grateful for your help.

However I think I am gonna have to bother you again this time around. I have another package failing to build upon emerge -auDN @world

Code:

sysresccd / # emerge -auDN @world

 * IMPORTANT: 12 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] gnome-extra/nautilus-sendto-3.8.6 [3.8.5]

Would you like to merge these packages? [Yes/No] yes

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) gnome-extra/nautilus-sendto-3.8.6::dantrell-gnome
 * nautilus-sendto-3.8.6.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                          [ ok ]
>>> Unpacking source...
>>> Unpacking nautilus-sendto-3.8.6.tar.xz to /var/tmp/portage/gnome-extra/nautilus-sendto-3.8.6/work
>>> Source unpacked in /var/tmp/portage/gnome-extra/nautilus-sendto-3.8.6/work
>>> Preparing source in /var/tmp/portage/gnome-extra/nautilus-sendto-3.8.6/work/nautilus-sendto-3.8.6 ...
 * Disabling deprecation warnings ...                                                                                                         [ ok ]
sed: can't read configure: No such file or directory
 * ERROR: gnome-extra/nautilus-sendto-3.8.6::dantrell-gnome failed (prepare phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line 115:  Called src_prepare
 *   environment, line 2606:  Called die
 * The specific snippet of code:
 *       sed -i -e 's/\(^ \+enable_introspection\)=yes/\1=no/' configure || die
 *
 * If you need support, post the output of `emerge --info '=gnome-extra/nautilus-sendto-3.8.6::dantrell-gnome'`,
 * the complete build log and the output of `emerge -pqv '=gnome-extra/nautilus-sendto-3.8.6::dantrell-gnome'`.
 * The complete build log is located at '/var/tmp/portage/gnome-extra/nautilus-sendto-3.8.6/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-extra/nautilus-sendto-3.8.6/temp/environment'.
 * Working directory: '/var/tmp/portage/gnome-extra/nautilus-sendto-3.8.6/work/nautilus-sendto-3.8.6'
 * S: '/var/tmp/portage/gnome-extra/nautilus-sendto-3.8.6/work/nautilus-sendto-3.8.6'

>>> Failed to emerge gnome-extra/nautilus-sendto-3.8.6, Log file:

>>>  '/var/tmp/portage/gnome-extra/nautilus-sendto-3.8.6/temp/build.log'

 * Messages for package gnome-extra/nautilus-sendto-3.8.6:

 * ERROR: gnome-extra/nautilus-sendto-3.8.6::dantrell-gnome failed (prepare phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line 115:  Called src_prepare
 *   environment, line 2606:  Called die
 * The specific snippet of code:
 *       sed -i -e 's/\(^ \+enable_introspection\)=yes/\1=no/' configure || die
 *
 * If you need support, post the output of `emerge --info '=gnome-extra/nautilus-sendto-3.8.6::dantrell-gnome'`,
 * the complete build log and the output of `emerge -pqv '=gnome-extra/nautilus-sendto-3.8.6::dantrell-gnome'`.
 * The complete build log is located at '/var/tmp/portage/gnome-extra/nautilus-sendto-3.8.6/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-extra/nautilus-sendto-3.8.6/temp/environment'.
 * Working directory: '/var/tmp/portage/gnome-extra/nautilus-sendto-3.8.6/work/nautilus-sendto-3.8.6'
 * S: '/var/tmp/portage/gnome-extra/nautilus-sendto-3.8.6/work/nautilus-sendto-3.8.6'


However this shouldn't be anything major and should allow me to boot into gnome, I guess.

Thanks
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 579
Location: Earth

PostPosted: Sun Aug 13, 2017 5:41 pm    Post subject: Reply with quote

Latrina wrote:
However I think I am gonna have to bother you again this time around. I have another package failing to build upon emerge -auDN @world

That particular version was ported to the meson build system which requires an ebuild rewrite. I re-added the last working version.

I can't say nothing else will fail to build as my test installs are still spinning up (I start from GNOME 3.14 and work my way up). I think I caught everything though. :wink:
_________________
Dantrell B.
Back to top
View user's profile Send private message
Latrina
n00b
n00b


Joined: 13 Aug 2017
Posts: 27
Location: Newcastle upon Tyne

PostPosted: Mon Aug 14, 2017 12:43 am    Post subject: Reply with quote

dantrell wrote:
Latrina wrote:
However I think I am gonna have to bother you again this time around. I have another package failing to build upon emerge -auDN @world

That particular version was ported to the meson build system which requires an ebuild rewrite. I re-added the last working version.

I can't say nothing else will fail to build as my test installs are still spinning up (I start from GNOME 3.14 and work my way up). I think I caught everything though. :wink:


It worked and btw I admire your work and dedication. The Gnome team should hire you to get things sorted once and for good.

Thank you.
Back to top
View user's profile Send private message
Juippisi
Developer
Developer


Joined: 30 Sep 2005
Posts: 361
Location: /home

PostPosted: Sun Aug 27, 2017 8:47 am    Post subject: Reply with quote

Hey again,

and once more thanks for your work! Gnome itself is working beatifully, however latest GIMP requires some dependencies that I believe are masked by your profile.

Code:

The following mask changes are necessary to proceed:
 (see "package.unmask" in the portage(5) man page for more details)
# required by media-libs/gegl-0.3.20::gentoo
# required by media-gfx/gimp-2.9.6::gentoo
# required by @selected
# required by @world (argument)
=media-libs/babl-0.1.30
# required by media-libs/libmypaint-1.3.0::gentoo[gegl]
# required by media-gfx/gimp-2.9.6::gentoo
# required by @selected
# required by @world (argument)
=media-libs/gegl-0.3.20


Code:

[ebuild     U #] media-libs/babl-0.1.30::gentoo [0.1.26::dantrell-gnome]
[ebuild     U #] media-libs/gegl-0.3.20:0.3::gentoo [0.3.14:0.3::dantrell-gnome]


Not a big deal, but just wanted to let you know about this :)

Keep up the good work!
Back to top
View user's profile Send private message
dantrell
Guru
Guru


Joined: 01 Jun 2007
Posts: 579
Location: Earth

PostPosted: Mon Aug 28, 2017 3:07 am    Post subject: Reply with quote

Juippisi wrote:
Gnome itself is working beatifully, however latest GIMP requires some dependencies that I believe are masked by your profile.

Sync up and you should be good to go.

Juippisi wrote:
Keep up the good work!

Will do. GNOME 3.26 might even be around the corner soon™. :wink:
_________________
Dantrell B.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 11, 12, 13 ... 27, 28, 29  Next
Page 12 of 29

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum